Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | Related Pages

# SoHardCopy Class Reference
[Support for vectorized printing]

`#include <HardCopy/SoHardCopy.h>`

List of all members.

## Detailed Description

The SoHardCopy class is a static class for initializing the hardcopy support.

## Static Public Member Functions
void | init (void)
const char * | getProductName (void)
const char * | getVersion (void)

## Member Function Documentation

void SoHardCopy::init | ( | void |  | ) | `[static]`

| Initialization of the hardcopy support happens automatically from SoDB::init(), so the application programmer should normally not have to worry about it.

const char * SoHardCopy::getProductName | ( | void |  | ) | `[static]`

| Returns name of the hardcopy extension.

const char * SoHardCopy::getVersion | ( | void |  | ) | `[static]`

| Version number will always match Coin version number.

The documentation for this class was generated from the following files:

- SoHardCopy.h
- HardCopy.cpp